# Generated from pragmatic_studio_game_mfink-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pragmatic_studio_game_mfink

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Game built as a project while learning Ruby via Pragmatic Studio videos
License: MIT
URL: https://www.pragmaticstudio.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Pragmatic Studio Game
This is a game built for the Pragmatic Studio's "Intro to Ruby" course. 
Players are awarded points according to randomly selected treasures they find.
Loads players in "players.csv" by default.  .csv file structure:
(player_name,initial_health).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
